Subject: bug#29091: closed (Re: bug#29091: VPATH builds are broken)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 06 Nov 2017 23:16:02 +0000

Your bug report

#29091: VPATH builds are broken

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
29091: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=29091
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#29091: VPATH builds are broken
From: [email-masked] (Ludovic Courtès)
To: Eric Bavier <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Date: Tue, 07 Nov 2017 00:15:26 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Eric Bavier <[email-masked]> skribis:

> LGTM.  Thanks for the quick fix!

Pushed as c9405c461b1b37740bc0bb33c7043313978c0014, thanks!

Ludo'.

Subject: VPATH builds are broken
From: Eric Bavier <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Tue, 31 Oct 2017 19:15:19 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Starting at commit 2890ad332fcdfd4bc92b127d783975437c8b718b, vpath builds no longer work.  I.e. one must configure and build in $(top_srcdir).  I believe this also means that `make distcheck` will fail.  I get the following backtrace from compile-all.scm:

```
Backtrace:
In ice-9/boot-9.scm:
 160: 15 [catch #t #<catch-closure d86d160> ...]
In unknown file:
   ?: 14 [apply-smob/1 #<catch-closure d86d160>]
In ice-9/boot-9.scm:
  66: 13 [call-with-prompt prompt0 ...]
In ice-9/eval.scm:
 432: 12 [eval # #]
In ice-9/boot-9.scm:
2412: 11 [save-module-excursion #<procedure d8a07c0 at ice-9/boot-9.scm:4084:3 ()>]
4091: 10 [#<procedure d8a07c0 at ice-9/boot-9.scm:4084:3 ()>]
1734: 9 [%start-stack load-stack ...]
1739: 8 [#<procedure d8c46c0 ()>]
In unknown file:
   ?: 7 [primitive-load "/home/users/bavier/src/guix-work/_build/../build-aux/compile-all.scm"]
In ice-9/r4rs.scm:
  90: 6 [dynamic-wind #<procedure f4e2d20 at ice-9/eval.scm:416:20 ()> ...]
  90: 5 [dynamic-wind #<procedure f4e2c60 at ice-9/eval.scm:416:20 ()> ...]
In ice-9/eval.scm:
 432: 4 [eval # #]
 432: 3 [eval # #]
 481: 2 [lp (#<fluid 5>) (#<output: void f6b2dd0>)]
In ice-9/boot-9.scm:
2903: 1 [resolve-interface (.. guix base16) #:select ...]
In unknown file:
   ?: 0 [scm-error misc-error #f "~A ~S" ("no code for module" (.. guix base16)) #f]

ERROR: In procedure scm-error:
ERROR: no code for module (.. guix base16)
Makefile:5269: recipe for target 'make-go' failed
make[2]: *** [make-go] Error 1
make[2]: Leaving directory '/home/users/bavier/src/guix-work/_build'
Makefile:4400: recipe for target 'all-recursive' failed
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory '/home/users/bavier/src/guix-work/_build'
Makefile:2990: recipe for target 'all' failed
make: *** [all] Error 2
```

Eric Bavier, Scientific Libraries, Cray Inc.